Package org.gradle.api.file

# Interface ConfigurableFileCollection

All Superinterfaces:
  `AntBuilderAware`, `Buildable`, `FileCollection`, `Iterable<File>`

public interface ConfigurableFileCollection extends FileCollection

A `ConfigurableFileCollection` is a mutable `FileCollection`.

You can obtain an instance of `ConfigurableFileCollection` by calling `Project.files(Object...)`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.file.FileCollection

`FileCollection.AntType`

## Method Summary

Modifier and Type
Method
Description
`ConfigurableFileCollection`
`builtBy(Object... tasks)`
Registers some tasks which build the files of this collection.
`ConfigurableFileCollection`
`from(Object... paths)`
Adds a set of source paths to this collection.
`Set<Object>`
`getBuiltBy()`
Returns the set of tasks which build the files of this collection.
`Set<Object>`
`getFrom()`
Returns the set of source paths for this collection.
`ConfigurableFileCollection`
`setBuiltBy(Iterable<?> tasks)`
Sets the tasks which build the files of this collection.
`void`
`setFrom(Iterable<?> paths)`
Sets the source paths for this collection.
`void`
`setFrom(Object... paths)`
Sets the source paths for this collection.

### Methods inherited from interface org.gradle.api.Buildable

`getBuildDependencies`

### Methods inherited from interface org.gradle.api.file.FileCollection

`add, addToAntBuilder, addToAntBuilder, asType, contains, filter, filter, getAsFileTree, getAsPath, getFiles, getSingleFile, isEmpty, minus, plus, stopExecutionIfEmpty`

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

## Method Details

### getFrom

Set<Object> getFrom()
Returns the set of source paths for this collection. The paths are evaluated as per `Project.files(Object...)`.

Returns:
  The set of source paths. Returns an empty set if none.

### setFrom

void setFrom(Iterable<?> paths)
Sets the source paths for this collection. The given paths are evaluated as per `Project.files(Object...)`.

Parameters:
  `paths` - The paths.

### setFrom

void setFrom(Object... paths)
Sets the source paths for this collection. The given paths are evaluated as per `Project.files(Object...)`.

Parameters:
  `paths` - The paths.

### from

ConfigurableFileCollection from(Object... paths)
Adds a set of source paths to this collection. The given paths are evaluated as per `Project.files(Object...)`.

Parameters:
  `paths` - The files to add.
Returns:
  this

### getBuiltBy

Set<Object> getBuiltBy()
Returns the set of tasks which build the files of this collection.

Returns:
  The set. Returns an empty set when there are no such tasks.

### setBuiltBy

ConfigurableFileCollection setBuiltBy(Iterable<?> tasks)
Sets the tasks which build the files of this collection.

Parameters:
  `tasks` - The tasks. These are evaluated as per `Task.dependsOn(Object...)`.
Returns:
  this

### builtBy

ConfigurableFileCollection builtBy(Object... tasks)
Registers some tasks which build the files of this collection.

Parameters:
  `tasks` - The tasks. These are evaluated as per `Task.dependsOn(Object...)`.
Returns:
  this